# Uses of Class
com.fasterxml.jackson.core.io.JsonStringEncoder

Packages that use JsonStringEncoder
Package
Description
com.fasterxml.jackson.core.io
com.fasterxml.jackson.core.util
Utility classes used by Jackson Core functionality.

## Uses of JsonStringEncoder in com.fasterxml.jackson.core.io

Methods in com.fasterxml.jackson.core.io that return JsonStringEncoder
Modifier and Type
Method
Description
`static JsonStringEncoder`
JsonStringEncoder.`getInstance()`
Factory method for getting an instance; this is either recycled per-thread instance, or a newly constructed one.

## Uses of JsonStringEncoder in com.fasterxml.jackson.core.util

Methods in com.fasterxml.jackson.core.util that return JsonStringEncoder
Modifier and Type
Method
Description
`static JsonStringEncoder`
BufferRecyclers.`getJsonStringEncoder()`
Deprecated.
Since 2.10 call `getInstance()` instead.